#!/usr/bin/env amspython
from scm.plams import *
from scm.params import *
import os


def main():
    init()

    inputfile = os.path.expandvars("$AMSHOME/scripting/scm/params/examples/LJ_Ar_no_reference_data/params.in")
    job = ParAMSJob.from_inputfile(inputfile, name="genref")
    job.run()

    # use all settings from the LJ_Ar example except for the path to the training set
    inputfile = os.path.expandvars("$AMSHOME/scripting/scm/params/examples/LJ_Ar/params.in")
    opt_job = ParAMSJob.from_inputfile(inputfile, name="optimization")
    opt_job.training_set = job.results.get_training_set_ref_path()
    opt_job.run()

    loss = opt_job.results.get_loss(source="latest")
    print(f"Final loss: {loss}")

    finish()


if __name__ == "__main__":
    main()
